const fs = require('fs');
const mockBrowser = require('mock-browser').mocks.MockBrowser;
const fileReader = require('filereader');
global.window = mockBrowser.createWindow();
global.document = window.document;
global.navigator = window.navigator;
global.self = global;
global.HTMLCollection = window.HTMLCollection;
global.getComputedStyle = window.getComputedStyle;
global.FileReader = fileReader;
const GC = require('@grapecity/spread-sheets');
const SJSExcel = require('@grapecity/spread-excelio');

GC.Spread.Sheets.LicenseKey = "";
SJSExcel.LicenseKey = "";

var wb = new GC.Spread.Sheets.Workbook();
var excelIO = new SJSExcel.IO();

try {
    const data = fs.readFileSync('./blank.xlsx');

    excelIO.open(data.buffer, data => {
        wb.fromJSON(data);
        // console.log(wb.sheets)
        let sheet = wb.getActiveSheet();
        console.log(sheet.name());
        console.log(sheet.getValue(0, 0));
    },
        err => {
            console.log(err)
        }
    );
} catch (e) {
    console.error("** Error manipulating spreadsheet **");
    console.error(e);
}

